org.omg.CORBA.portable

## Interface ValueBase

- All Superinterfaces:
    IDLEntity, Serializable
  All Known Subinterfaces:
    CustomValue, DataInputStream, DataOutputStream, ObjectReferenceFactory, ObjectReferenceTemplate, StreamableValue

      public interface ValueBase
      extends IDLEntity

  The generated Java classes corresponding to valuetype IDL types implement this interface. In other words, the Java mapping of valuetype objects implement the ValueBase interface. The generated Java class for valuetype's shall provide an implementation of the ValueBase interface for the corresponding value type. For value types that are streamable (i.e. non-custom), the generated Java class shall also provide an implementation for the org.omg.CORBA.portable.Streamable interface. (CORBA::ValueBase is mapped to java.io.Serializable.)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `_truncatable_ids()` Provides truncatable repository ids.

- - ### Method Detail

    - #### _truncatable_ids

          String[] _truncatable_ids()

      Provides truncatable repository ids.
      Returns:
        a String array--list of truncatable repository ids.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.